#
# spec file for package python3-djangorecipe
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-djangorecipe
Version:        2.2.1
Release:        1.6
Url:            https://github.com/rvanlaar/djangorecipe
Summary:        Buildout recipe for Django
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/djangorecipe/djangorecipe-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-zc_buildout
BuildRequires:  python3-zc_recipe_egg
BuildRequires:  python3-setuptools
Requires:       python3-zc_buildout
Requires:       python3-zc_recipe_egg
BuildArch:      noarch

%description
This buildout recipe can be used to create a setup for Django. It will
automatically download Django and install it in the buildout's
sandbox. You can use either a release version of Django or a
subversion checkout (by using trunk instead of a version number.

%prep
%setup -q -n djangorecipe-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst CHANGES.rst
%{python3_sitelib}/*

%changelog
* Sat Jul  9 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.2.1:
  * Bugfix for 2.2: bin/test was missing quotes around an
    option. [reinout]
- changes from version 2.2:
  * Added optional coverage option. Set it to true to automatically
    run coverage around your django tests. Needed if you used to have
    a test runner like django-nose run your coverage
    automatically. Since django 1.7, this doesn’t work anymore. With
    the new “coverage” option, bin/test does it for you. [reinout]
  * Automated tests (travis-ci.org) test with django 1.4, 1.8 and 1.9
    now. And pypi, python 2.7 and python 3.4. [reinout]
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Oct 27 2015 arun@gmx.de
- update to version 2.1.2:
  * Fixed documentation bug: the readme mentioned script-with-settings
    instead of scripts-with-settings (note the missing s after
    script). The correct one is script-with-settings. [tzicatl]
* Tue Jun 16 2015 arun@gmx.de
- update to version 2.1.1:
  * Bugfix: script-entrypoints entry point finding now actually works.
- changes from version 2.1.0:
  * Renamed script-entrypoints option to scripts-with-settings. It
    accepts script names that would otherwise get generated (like
    gunicorn) and generates a duplicate script named like
    bin/gunicorn-with-settings.
    Technical note: this depends on the scripts being setuptools
    "console_script entrypoint" scripts.
* Tue Jun 16 2015 arun@gmx.de
- specfile:
  * moved from zip to tar.gz on pypi
- update to version 2.0:
  * Removed project generation. Previously, djangorecipe would
    generate a directory for you from a template, but Django's own
    template is more than good enough now. Especially: it generates a
    subdirectory for your project now. Just run bin/django
    startproject <projectname>.
    See django's documentation for startproject.
    You can also look at cookiecutter.
    This also means the projectegg option is now deprecated, it isn't
    needed anymore.
  * We aim at django 1.7 and 1.8 now. Django 1.4 still works, (except
    that that one doesn't have a good startproject command).
    Gunicorn doesn't come with the django manage.py integration, so
    bin/django run_gunicorn doesn't work anymore. If you add
    script-entrypoints = gunicorn to the configuration, we generate a
    bin/django_env_gunicorn script that is identical to bin/gunicorn,
    only with the environment correctly set. Note: renamed in 2.1 to
    ``scripts-with-settings``.
    This way, you can use the wsgi.py script in your project (copy it
    from the django docs if needed) with bin/django_env_gunicorn
    yourproject/wsgi.py just like suggested everywhere. This way you
    can adjust your wsgi file to your liking and run it with gunicorn.
    For other wsgi runners (or programs you want to use with the
    correct environment set), you can add a full entry point to
    script-entrypoints, like script-entrypoints =
    gunicorn=gunicorn.app.wsgiapp:run would be the full line for
    gunicorn. Look up the correct entrypoint in the relevant package's
    setup.py.
    Django's 1.8 wsgi.py file looks like this, see
    https://docs.djangoproject.com/en/1.8/howto/deployment/wsgi/:
    import os
    from django.core.wsgi import get_wsgi_application
    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "yourproject.settings")
    application = get_wsgi_application()
  * The wsgilog option has been deprecated, the old apache mod_wsgi
    script hasn't been used for a long time.
  * Removed old pth option, previously used for pinax. Pinax uses
    proper python packages since a long time, so it isn't needed
    anymore.
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove ifs for opensuse version <=1220
* Sun Dec 14 2014 arun@gmx.de
- specfile:
  * update copyright year
  * update url
- update to versino 1.11:
  * The dotted-settings-path options was only used in management
    script. Now it is also used for the generated wsgi file and the
    test scripts.
- changes from version 1.10:
  * Added dotted-settings-path option. Useful when you want to specify
    a custom settings path to be used by the manage.main() command.
  * Renamed deploy_script_extra (with underscores) to
    deploy-script-extra (with dashes) for consistency with the other
    options. If the underscore version is found, an exception is
    raised.
- changes from version 1.9:
  * bin/test now passes along command line arguments to the underlying
    management command. Previously, only the equivalent of manage.py
    test list_of_apps would be done. Now command line arguments are
    passed as-is after the list of apps.
  * Added deploy_script_extra option. It is appended to the wsgi
    script. Useful for instance for a cloud hoster where you need to
    wrap your wsgi application object in a custom call.
- changes from version 1.8:
  * Supporting buildout's relative-paths setting now.
- changes from version 1.7:
  * Add option to change the wsgi script name. Thanks hedleyroos (Fixes pull #74)
- changes from version 1.6:
  * Djangorecipe works with django 1.6 now.
  * Tested with Django 1.4, 1.5 and 1.6. Pre-1.4 support is gone,
    now. Also tested on Python 2.6/2.7, 3.2/3.3.
  * Moved to buildout 2 support only.
  * Removed generation of fastcgi script. You can run it easily as
    bin/django runfcgi and it will be deprecated in Django 1.7 anyway.
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires: python3 for openSUSE 12.2, so hashlib is
  available.
- Add BuildRequires for Requires
* Sun Sep 29 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jan 25 2013 alexandre@exatati.com.br
- Update to 1.5:
  - Removed support for a different python version than the one
    you use to run buildout with. Previously, you could run your
    buildout with 2.6 but get Django to use 2.7 instead.
    zc.buildout 2.0 doesn't allow it anymore, so we removed it too.
* Tue Jan 15 2013 alexandre@exatati.com.br
- Update to 1.4:
  - Added initialization code support. Thanks to anshumanb,
    jjmurre. (Closes #58).
* Mon Sep 10 2012 alexandre@exatati.com.br
- Update to 1.3:
  - Removed deprecation warning in Django 1.4. Fixes #49, thanks
    Shagi.
  - Added documentation for use with mr.developer. Thanks shagi
    (closes issue #45)
  - Added Travis support.
* Mon May 14 2012 alexandre@exatati.com.br
- Update to 1.2:
  - Removed location path from recipe. Thanks bleskes (fixes issue
    [#50]).
* Thu Dec 29 2011 alexandre@exatati.com.br
- Update to 1.1.2:
  - Added correct url to the deprecation warning
* Tue Dec 27 2011 alexandre@exatati.com.br
- Update to 1.1.1:
  - Support python3.
  - Changed buildout and the tests to run the tests under nose.
  - Removed some old pre 0.99 unittests that dealt with download support.
  - Moved code to github: https://github.com/rvanlaar/djangorecipe
* Wed Dec  7 2011 alexandre@exatati.com.br
- Update to 1.0:
  - Stable release with a real 1.0 version.
  - Made djangorecipe more pep08 compliant.
* Tue Jun  7 2011 alexandre@exatati.com.br
- Update to 0.99:
  - Djangorecipe now depends on Django. The use of the version = statement
    is deprecated. Specify the django version in the
    [versions] section. Install django via mr.developer if you need to use
    an svn/git/hg repository.
  - Removed subversion and download support.
- Aditional changes from 0.23.1:
  - Added a missing 'import os'
* Mon Jun  6 2011 alexandre@exatati.com.br
- Update to 0.23:
  - Support for settings/urls boilerplate for django 1.2 and django
    1.3. It defaults to 1.3 when the version isn't 1.2.
* Tue Apr 12 2011 alexandre@exatati.com.br
- Update to 0.22:
  - Added support for svn urls with spaces. Thanks to Brad103
    (fixes #537718).
  - Updated code and buildout to use newest zc.recipe.egg,
    zc.recipe.testrunner and python-dateutil.
* Mon Apr  4 2011 alexandre@exatati.com.br
- Update to 0.21:
  - The admin url is now configured for django 1.1 or higher.
    Thanks to Sam Charrington (fixes #672220).
  - Bootstrap.py updated (fixes #501954).
- Regenerate spec file with py2pack;
- Bzip2 source file;
- Add CHANGES.txt and README.txt as documentation.
* Fri Dec  4 2009 alexandre@exatati.com.br
- Update to 0.20.
* Fri Oct 16 2009 alexandre@exatati.com.br
- Update to 0.19.2;
- Building as noarch for openSUSE >= 11.2;
- Fixed Requires tag in spec file (added python-zc.buildout
  and python-zc.recipe.egg).
* Wed Aug 26 2009 alexandre@exatati.com.br
- Initial package (0.19.1) for openSUSE.
